Bug 726744 - at-spi-python has broken deps
at-spi-python has broken deps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyorbit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F16Alpha/F16AlphaBlocker
  Show dependency treegraph
 
Reported: 2011-07-29 13:02 EDT by Dennis Gilmore
Modified: 2011-08-12 00:48 EDT (History)
8 users (show)

See Also:
Fixed In Version: pyorbit-2.24.0-9.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-12 00:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2011-07-29 13:02:53 EDT
Description of problem:
Im unable to compose images for f16 due to at-spi-python needing pyorbit which was removed from fedora in the orphan cleanup



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Flink 2011-07-29 13:14:46 EDT
Discussed in the 2011-07-29 blocker review meeting. Accepted as a F16 alpha blocker as it prevents the creation of ISO compose and therefore prevents farther testing.
Comment 2 James Laska 2011-08-01 08:30:30 EDT
Any updates on this bug report?  This bug is blocking F16 Alpha composes.  Any additional delays in composing Alpha test ISO's are likely to cause a schedule slip.

Who can help move this forward?
Comment 3 James Laska 2011-08-01 09:42:55 EDT
I was able to work around this dependency problem by excluding the at-spi packages and deps.  I do not know whether this breaks the desktop in any way, but it did allow a private compose test to complete.

The kickstart file I'm using contains the following exclusions:

repo --name=fedora --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch --exclude kernel*debug* --exclude kernel-kdump* --exclude syslog-ng --exclude java-1.5.0-   gcj-devel --exclude astronomy-bookmarks --exclude generic* --exclude java-1.5.0-gcj-javadoc --exclude btanks* --exclude GConf2-dbus* --exclude bluez-gnome  --exclude netxen-firmware --exclude pyatspi --     exclude gnome-python2-bonobo

%packages --nobase --ignoremissing
@core
-sysklogd
-cronie*
-netxen-firmware
-gnome-python2-bonobo
-pyatspi
%end
Comment 4 Ray Strode [halfline] 2011-08-01 10:46:47 EDT
I think the best thing to do (at this point anyway) is to unblock pyorbit. Dennis, can you do that?  I'll take ownership of it.
Comment 5 Ray Strode [halfline] 2011-08-01 13:55:31 EDT
there was some concern that pyorbit doesn't build, but it does:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3243979
Comment 6 Ray Strode [halfline] 2011-08-01 15:28:40 EDT
building new pyorbit now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3244171
Comment 7 Adam Williamson 2011-08-03 20:55:46 EDT
Similar to 726743, I think with the re-introduction of pyorbit, we can close this, right?
Comment 8 Adam Williamson 2011-08-03 20:56:48 EDT
well, I'm not sure if the pyorbit package is truly in f16: it was built right around the branch, and has no update request. Koji shows it as only tagged f16-updates-candidate . Ray, it would probably be good to submit an update request for it.
Comment 9 Fedora Update System 2011-08-08 11:11:34 EDT
pyorbit-2.24.0-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pyorbit-2.24.0-9.fc16
Comment 10 James Laska 2011-08-09 07:00:48 EDT
This appears to be in 'stable' now, and has already confirmed to fix the broken deps
Comment 11 James Laska 2011-08-09 07:01:19 EDT
(In reply to comment #10)
> This appears to be in 'stable' now

Correction, will be in 'stable' when the next push from testing->stable occurs
Comment 12 Fedora Update System 2011-08-12 00:48:32 EDT
pyorbit-2.24.0-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.